## ros-iron-moveit-kinematics 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_kinematics LANGUAGES CXX)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)

find_package(Eigen3 REQUIRED)
find_package(class_loader REQUIRED)
find_package(generate_parameter_library REQUIRED)
find_package(kdl_parser REQUIRED)
find_package(moveit_core REQUIRED)
find_package(moveit_msgs REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(orocos_kdl REQUIRED)
find_package(pluginlib REQUIRED)
find_package(random_numbers REQUIRED)
find_package(rclcpp REQUIRED)
find_package(tf2_kdl REQUIRED)

# Finds Boost Components
include(ConfigExtras.cmake)

set(THIS_PACKAGE_INCLUDE_DIRS
  kdl_kinematics_plugin/include
  lma_kinematics_plugin/include
  srv_kinematics_plugin/include
  cached_ik_kinematics_plugin/include
)

set(THIS_PACKAGE_LIBRARIES
  cached_ik_kinematics_parameters
  moveit_cached_ik_kinematics_base
  moveit_cached_ik_kinematics_plugin
  kdl_kinematics_parameters
  moveit_kdl_kinematics_plugin
  lma_kinematics_parameters
  moveit_lma_kinematics_plugin
  srv_kinematics_parameters
  moveit_srv_kinematics_plugin
)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  Eigen3
  class_loader
  generate_parameter_library
  kdl_parser
  moveit_core
  moveit_msgs
  moveit_ros_planning
  orocos_kdl_vendor
  pluginlib
  random_numbers
  rclcpp
  tf2_kdl
)

pluginlib_export_plugin_description_file(moveit_core kdl_kinematics_plugin_description.xml)
pluginlib_export_plugin_description_file(moveit_core lma_kinematics_plugin_description.xml)
pluginlib_export_plugin_description_file(moveit_core srv_kinematics_plugin_description.xml)
pluginlib_export_plugin_description_file(moveit_core cached_ik_kinematics_plugin_description.xml)

include_directories(${THIS_PACKAGE_INCLUDE_DIRS})

add_subdirectory(cached_ik_kinematics_plugin)
add_subdirectory(ikfast_kinematics_plugin)
add_subdirectory(kdl_kinematics_plugin)
add_subdirectory(lma_kinematics_plugin)
add_subdirectory(srv_kinematics_plugin)
add_subdirectory(test)

install(
  TARGETS ${THIS_PACKAGE_LIBRARIES}
  EXPORT ${PROJECT_NAME}Targets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include/moveit_kinematics
)

ament_export_targets(${PROJECT_NAME}Targets HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_pep257_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)
  set(ament_cmake_xmllint_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== kdl_kinematics_plugin/CMakeLists.txt ===
generate_parameter_library(
  kdl_kinematics_parameters # cmake target name for the parameter library
  src/kdl_kinematics_parameters.yaml # path to input yaml file
)

add_library(moveit_kdl_kinematics_plugin SHARED
  src/kdl_kinematics_plugin.cpp
  src/chainiksolver_vel_mimic_svd.cpp)

ament_target_dependencies(moveit_kdl_kinematics_plugin
  rclcpp
  random_numbers
  pluginlib
  moveit_core
  moveit_msgs
  orocos_kdl
  kdl_parser
  tf2_kdl
  EIGEN3
)

target_link_libraries(moveit_kdl_kinematics_plugin
  kdl_kinematics_parameters
)

# prevent pluginlib from using boost
target_compile_definitions(moveit_kdl_kinematics_plugin PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(moveit_kdl_kinematics_plugin PRIVATE "MOVEIT_KDL_KINEMATICS_PLUGIN_BUILDING_DLL")

install(DIRECTORY include/ DESTINATION include/moveit_kinematics)

=== srv_kinematics_plugin/CMakeLists.txt ===
generate_parameter_library(
  srv_kinematics_parameters # cmake target name for the parameter library
  src/srv_kinematics_parameters.yaml # path to input yaml file
)

add_library(moveit_srv_kinematics_plugin SHARED src/srv_kinematics_plugin.cpp)
set_target_properties(moveit_srv_kinematics_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

ament_target_dependencies(moveit_srv_kinematics_plugin
  rclcpp
  moveit_core
  moveit_msgs
)

target_link_libraries(moveit_srv_kinematics_plugin
  srv_kinematics_parameters
)

install(DIRECTORY include/ DESTINATION include/moveit_kinematics)

=== ikfast_kinematics_plugin/templates/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(_PACKAGE_NAME_)

if(NOT "${CMAKE_CXX_STANDARD}")
  set(CMAKE_CXX_STANDARD 14)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(ament_cmake REQUIRED)
find_package(moveit_core REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(tf2_kdl REQUIRED)
find_package(tf2_eigen REQUIRED)
find_package(LAPACK REQUIRED)
find_package(generate_parameter_library REQUIRED)

include_directories(include)

generate_parameter_library(
  ikfast_kinematics_parameters # cmake target name for the parameter library
  src/ikfast_kinematics_parameters.yaml # path to input yaml file
)

set(IKFAST_LIBRARY_NAME _LIBRARY_NAME_)
add_library(${IKFAST_LIBRARY_NAME} SHARED src/_ROBOT_NAME___GROUP_NAME__ikfast_moveit_plugin.cpp)
ament_target_dependencies(${IKFAST_LIBRARY_NAME}
  rclcpp
  moveit_core
  pluginlib
  tf2_kdl
  orocos_kdl
  tf2_eigen
  LAPACK
)
# suppress warnings about unused variables in OpenRave's solver code
target_compile_options(${IKFAST_LIBRARY_NAME} PRIVATE -Wno-unused-variable -Wno-unused-parameter)

target_link_libraries(${IKFAST_LIBRARY_NAME}
  ikfast_kinematics_parameters
)

install(TARGETS ${IKFAST_LIBRARY_NAME} ikfast_kinematics_parameters
  EXPORT ${PROJECT_NAME}Targets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin)

pluginlib_export_plugin_description_file(moveit_core _ROBOT_NAME___GROUP_NAME__moveit_ikfast_plugin_description.xml)

ament_export_targets(${PROJECT_NAME}Targets HAS_LIBRARY_TARGET)
ament_export_dependencies(moveit_core)
ament_export_dependencies(pluginlib)
ament_export_dependencies(rclcpp)
ament_export_dependencies(tf2_kdl)
ament_export_dependencies(tf2_eigen)
ament_export_dependencies(generate_parameter_library)
ament_package()

=== debian/changelog ===
ros-iron-moveit-kinematics (2.8.0-1jammy) jammy; urgency=high

  * Fix linking error with cached_ik_kinematics_plugin (#2292 <https://github.com/ros-planning/moveit2/issues/2292>)
  * Fix ikfast package template (#2195 <https://github.com/ros-planning/moveit2/issues/2195>)
  * Make loggers static or move into anonymous namespace (#2184 <https://github.com/ros-planning/moveit2/issues/2184>)
    * Make loggers static or move into anonymous namespace
    * Update moveit_ros/planning_interface/move_group_interface/src/move_group_interface.cpp
    * Update moveit_ros/planning_interface/move_group_interface/src/move_group_interface.cpp
    * Move LOGGER out of class template
  * Contributors: Jafar, Sebastian Jahr, Shane Loretz

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-kinematics (2.7.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-kinematics (2.7.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-kinematics (2.7.2-1jammy) jammy; urgency=high

  * Fix moveit_kinematics dependency on moveit_ros_planning (#2109 <https://github.com/ros-planning/moveit2/issues/2109>)
    This dependency is unconditionally used even if tests are disabled.
  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Readability: kinematic_state -> robot_state (#2078 <https://github.com/ros-planning/moveit2/issues/2078>)
  * Contributors: Scott K Logan, Sebastian Jahr, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-kinematics (2.7.1-1jammy) jammy; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Add ament export (#1887 <https://github.com/ros-planning/moveit2/issues/1887>)
    * Add ament export
    Also sort find_package entries alphabetically.
    * Minor cleanup
    ---------
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * Contributors: Gaël Écorchard, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-kinematics (2.7.0-1jammy) jammy; urgency=high

  * Merge PR #1712 <https://github.com/ros-planning/moveit2/issues/1712>: fix clang compiler warnings + stricter CI
  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Add noexcept specifier to constructors
  * Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
  * Fix IKFAST_TEST (#1850 <https://github.com/ros-planning/moveit2/issues/1850>)
  * Change log level of CHOMP runtime output and change kdl print (#1818 <https://github.com/ros-planning/moveit2/issues/1818>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Remove MOVEIT_LIB_NAME (#1751 <https://github.com/ros-planning/moveit2/issues/1751>)
    It's more readable and searchable if we just spell out the target
    name.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Used C++ style cast instead of C style cast  (#1628 <https://github.com/ros-planning/moveit2/issues/1628>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Use a stronger source of randomness (#1721 <https://github.com/ros-planning/moveit2/issues/1721>)
    * Remove use of deprecated std::random_shuffle
    * Replace random number generators with rsl::rng
    * Utilize rsl::uniform_real
  * Contributors: Abhijeet Das Gupta, Chris Thrasher, Christian Henkel, Cory Crean, Robert Haschke, Sameer Gupta, Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 28 Jan 2023 23:00:00 -0000

ros-iron-moveit-kinematics (2.6.0-1jammy) jammy; urgency=high

  * Use generate_parameter_library to load KDL kinematics parameters (#1671 <https://github.com/ros-planning/moveit2/issues/1671>)
  * Use generate_parameter_library to load ikfast kinematics parameters (#1675 <https://github.com/ros-planning/moveit2/issues/1675>)
  * Use generate_parameter_library to load cached IK kinematics parameters (#1677 <https://github.com/ros-planning/moveit2/issues/1677>)
  * Use generate_parameter_library to load srv kinematics parameters (#1674 <https://github.com/ros-planning/moveit2/issues/1674>)
  * Use generate_parameter_library to load LMA kinematics parameters (#1673 <https://github.com/ros-planning/moveit2/issues/1673>)
  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Use pragma once as header include guard (#1525 <https://github.com/ros-planning/moveit2/issues/1525>)
  * Unified code comment style (#1053 <https://github.com/ros-planning/moveit2/issues/1053>)
    * Changes the comment style from /**/ to //
    Co-authored-by: JafarAbdi <mailto:cafer.abdi@gmail.com>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>


=== debian/control ===
Source: ros-iron-moveit-kinematics
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-class-loader, ros-iron-generate-parameter-library, ros-iron-launch-param-builder <!nocheck>, ros-iron-moveit-common, ros-iron-moveit-configs-utils <!nocheck>, ros-iron-moveit-core, ros-iron-moveit-msgs, ros-iron-moveit-resources-fanuc-description <!nocheck>, ros-iron-moveit-resources-fanuc-moveit-config <!nocheck>, ros-iron-moveit-resources-panda-description <!nocheck>, ros-iron-moveit-resources-panda-moveit-config <!nocheck>, ros-iron-moveit-ros-planning, ros-iron-orocos-kdl-vendor, ros-iron-pluginlib, ros-iron-ros-testing <!nocheck>, ros-iron-rsl, ros-iron-tf2, ros-iron-tf2-kdl, ros-iron-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-iron-moveit-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, python3-lxml, ros-iron-class-loader, ros-iron-generate-parameter-library, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-msgs, ros-iron-moveit-ros-planning, ros-iron-orocos-kdl-vendor, ros-iron-pluginlib, ros-iron-rsl, ros-iron-tf2, ros-iron-tf2-kdl, ros-iron-urdfdom, ros-iron-ros-workspace
Description: Package for all inverse kinematics solvers in MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-moveit-kinematics//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
